package cn.tsy.data.idsse.dsds.model.voyage;

import cn.hme.framework.bean.HmeBean;
import cn.hme.framework.jdbc.annotation.HmeTable;
import java.time.LocalDateTime;

/**********************************************
 * 航次-导航文件
 * 
 * @author: zxq
 * @date: 2024-05-13 23:55:20
 * @version: 1.0.0
 * @email: revisit@126.com
 * @Company: www.hmesoft.cn
 */
@HmeTable(name = "VOYAGE_NAVIGATION", key = "TSY_ID")
public class VoyageNavigation extends HmeBean {
	private static final long serialVersionUID = 31701052429526870L;
	private Integer tsy_id;
	// 航次编号
	private Integer voyage_id;
	// 导航文件编号
	private Integer file_id;
	// 经度
	private String nav_lon;
	// 纬度
	private String nav_lat;
	// 时间
	private LocalDateTime nav_time;

	public Integer getTsy_id() {
		return this.tsy_id;
	}

	public void setTsy_id(Integer tsy_id) {
		this.tsy_id = tsy_id;
	}

	/****
	 * 航次编号
	 */
	public Integer getVoyage_id() {
		return this.voyage_id;
	}

	/****
	 * 航次编号
	 */
	public void setVoyage_id(Integer voyage_id) {
		this.voyage_id = voyage_id;
	}

	/****
	 * 导航文件编号
	 */
	public Integer getFile_id() {
		return this.file_id;
	}

	/****
	 * 导航文件编号
	 */
	public void setFile_id(Integer file_id) {
		this.file_id = file_id;
	}

	/****
	 * 经度
	 */
	public String getNav_lon() {
		return this.nav_lon;
	}

	/****
	 * 经度
	 */
	public void setNav_lon(String nav_lon) {
		this.nav_lon = nav_lon;
	}

	/****
	 * 纬度
	 */
	public String getNav_lat() {
		return this.nav_lat;
	}

	/****
	 * 纬度
	 */
	public void setNav_lat(String nav_lat) {
		this.nav_lat = nav_lat;
	}

	/****
	 * 时间
	 */
	public LocalDateTime getNav_time() {
		return this.nav_time;
	}

	/****
	 * 时间
	 */
	public void setNav_time(LocalDateTime nav_time) {
		this.nav_time = nav_time;
	}

}